| Home | Libraries | People | FAQ | More

## Function template unhex

boost::algorithm::unhex — Converts a sequence of hexadecimal characters into a sequence of integers.

## Synopsis

    // In header: <boost/algorithm/hex.hpp>

    template<typename InputIterator, typename OutputIterator>
      OutputIterator
      unhex(InputIterator first, InputIterator last, OutputIterator out);

## Description

| Note
Based on the MySQL function of the same name

Parameters: |
`first` | The start of the input sequence
`last` | One past the end of the input sequence
`out` | An output iterator to the results into
Returns: | The updated output iterator